package com.uvigo.mhp;

import com.uvigo.mhp.ui.*;
import java.awt.*;
import java.awt.event.*;
import java.beans.*;

public class FrontEndBeanInfo extends SimpleBeanInfo
{
    public BeanDescriptor getBeanDescriptor()
    {
        BeanDescriptor bd=new BeanDescriptor(FrontEnd.class);
        return(bd);
    }
    
    public PropertyDescriptor[] getPropertyDescriptors()
    {
        try
        {
            PropertyDescriptor pd1 = new PropertyDescriptor("background", FrontEnd.class);
            PropertyDescriptor pd2 = new PropertyDescriptor("foreground", FrontEnd.class);
            PropertyDescriptor pd3 = new PropertyDescriptor("horizontalAlignment", FrontEnd.class);
            PropertyDescriptor pd4 = new PropertyDescriptor("verticalAlignment", FrontEnd.class);
            PropertyDescriptor pd5 = new PropertyDescriptor("opaque", FrontEnd.class);
            PropertyDescriptor pd6 = new PropertyDescriptor("look", FrontEnd.class);
            PropertyDescriptor pd7 = new PropertyDescriptor("font", FrontEnd.class);
            PropertyDescriptor pd8 = new PropertyDescriptor("backgroundImageURL", FrontEnd.class);
            PropertyDescriptor pd9 = new PropertyDescriptor("backgroundImageMode", FrontEnd.class);
            PropertyDescriptor pd10= new PropertyDescriptor("label", FrontEnd.class);
            PropertyDescriptor pd11= new PropertyDescriptor("name", FrontEnd.class);
            PropertyDescriptor pd12= new PropertyDescriptor("mainPanel", FrontEnd.class);
           // PropertyDescriptor pd13= new PropertyDescriptor("delayedTimeMode", FrontEnd.class);
           // PropertyDescriptor pd14= new PropertyDescriptor("time", FrontEnd.class);
            pd1.setBound(true);
            pd2.setBound(true);
            pd3.setBound(true);
            pd3.setPropertyEditorClass(HorizontalAlignmentEditor.class);
            pd4.setBound(true);
            pd4.setPropertyEditorClass(VerticalAlignmentEditor.class);
            pd5.setBound(true);
            pd6.setBound(true);
            pd7.setBound(true);
            pd8.setBound(true);
            pd9.setBound(true);
            pd9.setPropertyEditorClass(BackgroundImageModeEditor.class);
            pd10.setBound(true);
            pd11.setBound(true);
            pd12.setBound(true);
           // pd13.setBound(true);
            //pd13.setPropertyEditorClass(DelayedTimeModeEditor.class);
            //pd14.setBound(true);
            return new PropertyDescriptor[]
            {pd1, pd2, pd3, pd4, pd5, pd6, pd7, pd8, pd9, pd10, pd11, pd12};
        }
        catch (Exception ex)
        {
            ex.printStackTrace();
            return null;
        }
    }
    
    public java.awt.Image getIcon(int iconKind)
    {
        return null;
    }
}
